Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[gelöst] VMware installation -> Komme nicht weiter

Alles rund um die Systemverwaltung, die Administration und Konfiguration Eures Linuxsystems

Moderator: Moderatoren

Antworten
trustkill
Hacker
Hacker
Beiträge: 300
Registriert: 21. Jul 2006, 11:33

[gelöst] VMware installation -> Komme nicht weiter

Beitrag von trustkill » 23. Aug 2006, 12:14

Möchte die 30-Tage Testversion von VMware installieren, komme aber nicht weiter.

Habe das rpm "VMware-workstation-5.5.1-19175.i386.rpm" runtergeladen und installiert.

Gebe dann in der Konsole als su "vmware-config.pl" ein und nicke die EULA ab.

Danach bestätige ich die default Verzeichnisse.

Dann kommt folgende Meldung

Code: Alles auswählen

Trying to find a suitable vmmon module for your running kernel.

None of the pre-built vmmon modules for VMware Workstation is suitable for your
running kernel.  Do you want this program to try to build the vmmon module for
your system (you need to have a C compiler installed on your system)? [yes]
Diese bestätige ich mit yes.

Nun kommt folgende Meldung:

Code: Alles auswählen

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.16.21-0.13-default/build/include]
Das bestätige ich auch.

Zu guter letzt kommt diese Meldung:

Code: Alles auswählen

Extracting the sources of the vmmon module.

Building the vmmon module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config6/vmmon-only'
make -C /lib/modules/2.6.16.21-0.13-default/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-2.6.16.21-0.13-obj/i386/default'
make -C ../../../linux-2.6.16.21-0.13 O=../linux-2.6.16.21-0.13-obj/i386/default modules
  CC [M]  /tmp/vmware-config6/vmmon-only/linux/driver.o
In file included from /tmp/vmware-config6/vmmon-only/linux/driver.h:20,
                 from /tmp/vmware-config6/vmmon-only/linux/driver.c:49:
/tmp/vmware-config6/vmmon-only/./include/compat_wait.h:37:5: warning: "VMW_HAVE_EPOLL" is not defined
/tmp/vmware-config6/vmmon-only/./include/compat_wait.h:43:5: warning: "VMW_HAVE_EPOLL" is not defined
In file included from /tmp/vmware-config6/vmmon-only/linux/driver.h:20,
                 from /tmp/vmware-config6/vmmon-only/linux/driver.c:49:
/tmp/vmware-config6/vmmon-only/./include/compat_wait.h:60: error: conflicting types for ‘poll_initwait’
/usr/src/linux-2.6.16.21-0.13/include/linux/poll.h:45: error: previous declaration of ‘poll_initwait’ was here
/tmp/vmware-config6/vmmon-only/linux/driver.c:145: warning: initialization from incompatible pointer type
/tmp/vmware-config6/vmmon-only/linux/driver.c:149: warning: initialization from incompatible pointer type
make[4]: *** [/tmp/vmware-config6/vmmon-only/linux/driver.o] Fehler 1
make[3]: *** [_module_/tmp/vmware-config6/vmmon-only] Fehler 2
make[2]: *** [modules] Fehler 2
make[1]: *** [modules] Fehler 2
make[1]: Leaving directory `/usr/src/linux-2.6.16.21-0.13-obj/i386/default'
make: *** [vmmon.ko] Fehler 2
make: Leaving directory `/tmp/vmware-config6/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".

Execution aborted.
Die in der Fehlermeldunf genannten Sites helfen mir nicht weiter.
So, jetzt komme ich nicht weiter und hoffe auf Eure Hilfe, vielen Dank.
Zuletzt geändert von trustkill am 23. Aug 2006, 12:37, insgesamt 1-mal geändert.
Bild
openSuSE 10.3 | KDE | AMD Athlon64 X2 4200+ EE| MSI K9VGM-V | Nvidia Geforce 7100 GS 256MB | CompizFusion

Werbung:
towo
Moderator
Moderator
Beiträge: 3707
Registriert: 15. Feb 2004, 16:42
Wohnort: Nimritz
Kontaktdaten:

Beitrag von towo » 23. Aug 2006, 12:28

Das neueste any-any-update hast Du natürlich installiert, oder?
Signatur nach Diktat spazieren gegangen

Bild

trustkill
Hacker
Hacker
Beiträge: 300
Registriert: 21. Jul 2006, 11:33

Beitrag von trustkill » 23. Aug 2006, 12:31

Eeerhm, was ist "any-any update" ? :oops:

Ooooh **rotwerd* -> FAQ rulez...

Danke !
Bild
openSuSE 10.3 | KDE | AMD Athlon64 X2 4200+ EE| MSI K9VGM-V | Nvidia Geforce 7100 GS 256MB | CompizFusion

Stefan Staeglich
Advanced Hacker
Advanced Hacker
Beiträge: 960
Registriert: 11. Mai 2004, 10:37

Beitrag von Stefan Staeglich » 23. Aug 2006, 14:01

Nur so als Anmerkung: Besser wäre VMware Workstation 5.5.2. Da man braucht man den any-any-Patch nämlich nicht.
Gruß Stefan

trustkill
Hacker
Hacker
Beiträge: 300
Registriert: 21. Jul 2006, 11:33

Beitrag von trustkill » 23. Aug 2006, 14:08

Ja, habs auch gerade gesehen. Hatte aber noch das "alte" rpm auf der Platte. Naja, Installation von XP in der VM läuft grad, bin happy.
Bild
openSuSE 10.3 | KDE | AMD Athlon64 X2 4200+ EE| MSI K9VGM-V | Nvidia Geforce 7100 GS 256MB | CompizFusion

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 3 Gäste